[Bug general/24964] elfutils fails to configure/build on CC=clang: configure: error: gcc with GNU99 support required

mark at klomp dot org sourceware-bugzilla@sourceware.org
Thu Sep 16 23:00:47 GMT 2021


https://sourceware.org/bugzilla/show_bug.cgi?id=24964

Mark Wielaard <mark at klomp dot org> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|UNCONFIRMED                 |RESOLVED
         Resolution|---                         |FIXED

--- Comment #5 from Mark Wielaard <mark at klomp dot org> ---
commit 6eb991a9ebc45cc468a049ef30a98a0f7cad4a0d
Author: Adrian Ratiu <adrian.ratiu@collabora.com>
Date:   Mon Aug 30 18:43:13 2021 +0300

    configure.ac: rework gnu99 ext check to allow clang

    It is true that Clang does not support all gnu99 extensions [1],
    but not all of them are used in the codebase and over time there
    have been code cleanup efforts to improve Clang support.

    For example after commit 779c57ea ("readelf: Pull advance_pc()
    in file scope") there are no more nested function declarations
    and elfutils now builds fine with Clang.

    So in the interest of enabling Clang builds we remove the only
    remaining blocker: the configure checks for nested functions and
    variable length arrays which are also unused.

    Considering mixed decls and code is also part of c99 standard,
    the entire check becomes redundant and we can just replace
    AC_PROG_CC -> AC_PROG_CC_C99.

    [1] https://sourceware.org/bugzilla/show_bug.cgi?id=24964
    Signed-off-by: Adrian Ratiu <adrian.ratiu@collabora.com>

-- 
You are receiving this mail because:
You are on the CC list for the bug.


More information about the Elfutils-devel mailing list